package logic

import (
	"context"

	"juwan-backend/app/users/rpc/internal/svc"
	"juwan-backend/app/users/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetUserFollowsByIdLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetUserFollowsByIdLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetUserFollowsByIdLogic {
	return &GetUserFollowsByIdLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *GetUserFollowsByIdLogic) GetUserFollowsById(in *pb.GetUserFollowsByIdReq) (*pb.GetUserFollowsByIdResp, error) {
	// todo: add your logic here and delete this line

	return &pb.GetUserFollowsByIdResp{}, nil
}
